MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025077Community[OCCT] OCCT:Codingpublic2014-07-13 23:502014-11-11 12:59
ReporterEpy 
Assigned Tobugmaster 
PrioritylowSeveritytweak 
StatusclosedResolutionfixed 
PlatformLinux 32-bitOSLubuntuOS Version14.04 LTS
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025077: [OOP] Explicit initialization of copy constructor
Description/home/jake/oce/src/Standard/Standard_Failure.cxx: In copy constructor ‘Standard_Failure::Standard_Failure(const Standard_Failure&)’:
/home/jake/oce/src/Standard/Standard_Failure.cxx:80:1: warning: base class ‘class Standard_Transient’ should be explicitly initialized in the copy constructor [-Wextra]
 Standard_Failure::Standard_Failure (const Standard_Failure& aFailure)
 ^

/home/jake/oce/src/BOPDS/BOPDS_PassKeyBoolean.lxx: In copy constructor ‘BOPDS_PassKeyBoolean::BOPDS_PassKeyBoolean(const BOPDS_PassKeyBoolean&)’:
/home/jake/oce/src/BOPDS/BOPDS_PassKeyBoolean.lxx:43:10: warning: base class ‘class BOPDS_PassKey’ should be explicitly initialized in the copy constructor [-Wextra]
   inline BOPDS_PassKeyBoolean::BOPDS_PassKeyBoolean(const BOPDS_PassKeyBoolean& aOther)
          ^

/home/jake/oce/src/Graphic3d/Graphic3d_ClipPlane.cxx: In copy constructor ‘Graphic3d_ClipPlane::Graphic3d_ClipPlane(const Graphic3d_ClipPlane&)’:
/home/jake/oce/src/Graphic3d/Graphic3d_ClipPlane.cxx:71:1: warning: base class ‘class Standard_Transient’ should be explicitly initialized in the copy constructor [-Wextra]
 Graphic3d_ClipPlane::Graphic3d_ClipPlane(const Graphic3d_ClipPlane& theOther)
 ^
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0030103)
kgv (developer)
2014-07-14 08:49

There no issue in the code - Standard_Transient contains only reference counter which should not be copied.

BOPDS_PassKeyBoolean performs copying but in ugly way (in function body).
(0031630)
git (administrator)
2014-09-11 19:38

Branch CR25077 has been created by abv.

SHA-1: 9f486e85b2de6475d252095d8934298b45e30e2e


Detailed log of new commits:

Author: abv
Date: Thu Sep 11 19:38:17 2014 +0400

    0025077: [OOP] Explicit initialization of copy constructor
    
    Explicit calls of copy constructor of base class added where compiler warnings are reported
(0031631)
abv (manager)
2014-09-11 19:38

Fix pushed to CR25077, please review
(0031633)
kgv (developer)
2014-09-11 19:49

Please test the patch.
(0031789)
git (administrator)
2014-09-16 19:34

Branch CR25077 has been updated forcibly by mkv.

SHA-1: ada200e74f5b08c2f69827513245f1ac2aba4e18
(0031795)
mkv (tester)
2014-09-17 12:50

Dear BugMaster,
Branch CR25077 from occt git-repository and master from products git-repository was compiled on Linux and Windows platforms.
SHA-1: ada200e74f5b08c2f69827513245f1ac2aba4e18

There are compilation errors:
http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25077/job/mnt-CR25077-master_build_occt_linux/1/parsed_console/ [^]
../../../../inc/BOPDS_PassKey.lxx:53: error: ‘theOther’ was not declared in this scope
make[2]: *** [BOPAlgo_BOP.lo] Error 1

../../../../inc/BOPDS_PassKey.lxx:53: error: ‘theOther’ was not declared in this scope
make[2]: *** [BOPAlgo_ArgumentAnalyzer.lo] Error 1

../../../../inc/BOPDS_PassKey.lxx:53: error: ‘theOther’ was not declared in this scope
make[2]: *** [BOPAlgo_BOP_1.lo] Error 1

http://jenkins-test-03.nnov.opencascade.com:8080/user/mnt/my-views/view/CR25077/job/mnt-CR25077-master_build_occt_windows/1/parsed_console/ [^]
23>d:\builds\vc10\CR25077-master-occt\inc\BOPDS_PassKey.lxx(53): error C2065: 'theOther' : undeclared identifier
(0031799)
git (administrator)
2014-09-17 13:57

Branch CR25077 has been updated by abv.

SHA-1: 897014b4d325d308c27cd0032a654cca7a736c2d


Detailed log of new commits:

Author: abv
Date: Wed Sep 17 13:53:24 2014 +0400

    Minor correction

(0031800)
abv (manager)
2014-09-17 13:57

Oops, pardon me! Correction pushed to CR25077, please re-test
(0031903)
git (administrator)
2014-09-19 15:47

Branch CR25077 has been updated forcibly by mkv.

SHA-1: 1710b2e13d8ebc42aadb7debf0261147fbf7b085
(0031961)
mkv (tester)
2014-09-22 18:22

Dear BugMaster,
Branch CR25077 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested on Release mode.
SHA-1: 1710b2e13d8ebc42aadb7debf0261147fbf7b085

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 355741976 / 355481096
Total CPU difference: 47603.21000000007 / 44818.80000000009
products component :
Total MEMORY difference: 110247312 / 110250572
Total CPU difference: 19080.16999999999 / 18358.06999999999

Testing on Windows:
occt component :
Total MEMORY difference: 243074064 / 242254224
Total CPU difference: 33563.625 / 34283.078125
products component :
Total MEMORY difference: 66632520 / 66591984
Total CPU difference: 10691.296875 / 11913.0625

There are no differences in images found by testdiff.
(0032414)
git (administrator)
2014-09-30 11:36

Branch CR25077 has been deleted by inv.

SHA-1: 1710b2e13d8ebc42aadb7debf0261147fbf7b085

- Related Changesets
occt: master a9b30f0a
Timestamp: 2014-09-25 09:50:45
Author: abv
Committer: bugmaster
Details ] Diff ]
0025077: [OOP] Explicit initialization of copy constructor

Explicit calls of copy constructor of base class added where compiler warnings are reported

Minor correction
mod - src/BOPDS/BOPDS_PassKey.lxx Diff ] File ]
mod - src/BOPDS/BOPDS_PassKeyBoolean.lxx Diff ] File ]
mod - src/Graphic3d/Graphic3d_ClipPlane.cxx Diff ] File ]
mod - src/Standard/Standard_Failure.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-07-13 23:50 Epy New Issue
2014-07-13 23:50 Epy Assigned To => kgv
2014-07-14 08:49 kgv Note Added: 0030103
2014-07-14 08:49 kgv Priority normal => low
2014-07-14 08:49 kgv Severity minor => tweak
2014-09-11 19:38 git Note Added: 0031630
2014-09-11 19:38 abv Note Added: 0031631
2014-09-11 19:38 abv Status new => resolved
2014-09-11 19:38 abv Target Version => 6.8.0
2014-09-11 19:49 kgv Note Added: 0031633
2014-09-11 19:49 kgv Assigned To kgv => bugmaster
2014-09-11 19:49 kgv Status resolved => reviewed
2014-09-15 12:21 bugmaster Assigned To bugmaster => mkv
2014-09-16 19:34 git Note Added: 0031789
2014-09-17 12:50 mkv Note Added: 0031795
2014-09-17 12:50 mkv Test case number => Not needed
2014-09-17 12:50 mkv Assigned To mkv => abv
2014-09-17 12:50 mkv Status reviewed => assigned
2014-09-17 13:57 git Note Added: 0031799
2014-09-17 13:57 abv Note Added: 0031800
2014-09-17 13:57 abv Assigned To abv => bugmaster
2014-09-17 13:57 abv Status assigned => resolved
2014-09-17 13:58 abv Assigned To bugmaster => mkv
2014-09-17 13:58 abv Status resolved => reviewed
2014-09-19 15:47 git Note Added: 0031903
2014-09-22 18:22 mkv Note Added: 0031961
2014-09-22 18:23 mkv Assigned To mkv => bugmaster
2014-09-22 18:23 mkv Status reviewed => tested
2014-09-26 14:49 bugmaster Changeset attached => occt master a9b30f0a
2014-09-26 14:49 bugmaster Status tested => verified
2014-09-26 14:49 bugmaster Resolution open => fixed
2014-09-30 11:36 git Note Added: 0032414
2014-11-11 12:44 user533 Fixed in Version => 6.8.0
2014-11-11 12:59 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker